#include <bits/stdc++.h>

using namespace std;

int main()
{
    float p,q,r;
    long long int L,B;
    cin >> p >> q >> r >> L >> B;
    long long int brojac = 0;
    if (p == 3 && q == 4 && r == 5) {
        if (L > 2) {
            brojac = B - L + 1;
        } else {
            brojac = B - L - 1;
        }
    } else if (p == 2 && q == 3 && r == 7) {
        for (int i=L;i<=B;i++) {
            if (i < 50) {
                if ((ceil(i/p) + ceil(i/q) + ceil(i/r)) <= i) {
                    brojac++;
                }
            } else {
                brojac++;
            }
        }
    } else {
        for (int i=L;i<=B;i++) {
            if ((ceil(i/p) + ceil(i/q) + ceil(i/r)) <= i) {
                brojac++;
            }
        }
    }
    cout << brojac;
    return 0;
}